Package org.eclipse.graphiti.ui.internal.editor

# Class GFConnectionCreationTool

java.lang.Object
org.eclipse.gef.util.FlagSupport
org.eclipse.gef.tools.AbstractTool
org.eclipse.gef.tools.TargetingTool
org.eclipse.gef.tools.AbstractConnectionCreationTool
org.eclipse.gef.tools.ConnectionCreationTool
org.eclipse.graphiti.ui.internal.editor.GFConnectionCreationTool

All Implemented Interfaces:
  `org.eclipse.gef.RequestConstants`, `org.eclipse.gef.Tool`

public class GFConnectionCreationTool extends org.eclipse.gef.tools.ConnectionCreationTool

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.tools.AbstractTool

`org.eclipse.gef.tools.AbstractTool.Input`

## Field Summary

### Fields inherited from class org.eclipse.gef.tools.AbstractConnectionCreationTool

`MAX_FLAG, MAX_STATE, STATE_CONNECTION_STARTED`

### Fields inherited from class org.eclipse.gef.tools.AbstractTool

`MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`GFConnectionCreationTool()`
`GFConnectionCreationTool(org.eclipse.gef.requests.CreationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate()`
`void`
`deactivate()`
`protected boolean`
`handleKeyUp(org.eclipse.swt.events.KeyEvent e)`
`protected void`
`setState(int state)`

### Methods inherited from class org.eclipse.gef.tools.ConnectionCreationTool

`handleButtonDown, handleFocusLost, handleKeyDown, mouseWheelScrolled`

### Methods inherited from class org.eclipse.gef.tools.AbstractConnectionCreationTool

`calculateCursor, createTargetRequest, eraseSourceFeedback, getCommandName, getDebugName, getDebugNameForState, getFactory, getSourceRequest, handleButtonUp, handleCommandStackChanged, handleCreateConnection, handleDrag, handleDragInProgress, handleHover, handleInvalidInput, handleMove, handleSourceDeactivated, isShowingSourceFeedback, setConnectionSource, setFactory, showSourceFeedback, updateTargetRequest`

### Methods inherited from class org.eclipse.gef.tools.TargetingTool

`doAutoexpose, eraseTargetFeedback, getAutoexposeHelper, getCommand, getExclusionSet, getTargetEditPart, getTargetingConditional, getTargetRequest, handleAutoexpose, handleEnteredEditPart, handleExitingEditPart, handleHoverStop, handleLeavingEditPart, handleViewerExited, isShowingTargetFeedback, isTargetLocked, lockTargetEditPart, resetFlags, resetHover, setAutoexposeHelper, setTargetEditPart, setTargetRequest, showTargetFeedback, unlockTargetEditPart, updateAutoexposeHelper, updateTargetUnderMouse`

### Methods inherited from class org.eclipse.gef.tools.AbstractTool

`acceptArrowKey, addFeedback, applyProperty, commitDrag, createOperationSet, debug, executeCommand, executeCurrentCommand, focusGained, focusLost, getCurrentCommand, getCurrentInput, getCurrentViewer, getDefaultCursor, getDisabledCursor, getDomain, getDragMoveDelta, getLocation, getOperationSet, getStartLocation, getState, handleDoubleClick, handleDragStarted, handleFinished, handleFocusGained, handleKeyTraversed, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, isActive, isHoverActive, isInState, isViewerImportant, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, placeMouseInViewer, reactivate, refreshCursor, releaseToolCapture, removeFeedback, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setToolCapture, setUnloadWhenFinished, setViewer, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

### Methods inherited from class org.eclipse.gef.util.FlagSupport

`getFlag, setFlag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GFConnectionCreationTool

public GFConnectionCreationTool()

### GFConnectionCreationTool

public GFConnectionCreationTool(org.eclipse.gef.requests.CreationFactory factory)

## Method Details

### handleKeyUp

protected boolean handleKeyUp(org.eclipse.swt.events.KeyEvent e)

Overrides:
  `handleKeyUp` in class `org.eclipse.gef.tools.AbstractTool`

### deactivate

public void deactivate()

Specified by:
  `deactivate` in interface `org.eclipse.gef.Tool`
Overrides:
  `deactivate` in class `org.eclipse.gef.tools.AbstractConnectionCreationTool`

### activate

public void activate()

Specified by:
  `activate` in interface `org.eclipse.gef.Tool`
Overrides:
  `activate` in class `org.eclipse.gef.tools.AbstractTool`

### setState

protected void setState(int state)

Overrides:
  `setState` in class `org.eclipse.gef.tools.AbstractTool`